> ## Documentation Index
> Fetch the complete documentation index at: https://docs.nordiska.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List invoices



## OpenAPI

````yaml https://partner-card.test.public.rockerapi.dev/docs/docs.yaml get /api/engagements/card/{engagement-id}/invoices
openapi: 3.1.0
info:
  title: Card
  version: '1.0'
servers:
  - url: https://partner-card.test.public.rockerapi.dev
security: []
paths:
  /api/engagements/card/{engagement-id}/invoices:
    get:
      tags:
        - Card
      summary: List invoices
      operationId: List invoices
      parameters:
        - name: engagement-id
          in: path
          required: true
          schema:
            type: string
            format: uuid
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HttpGetCardInvoicesResponse'
        '400':
          description: 'Invalid value for: path parameter engagement-id'
          content:
            text/plain:
              schema:
                type: string
        default:
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HttpErrorBodyResponse'
      security:
        - httpAuth: []
components:
  schemas:
    HttpGetCardInvoicesResponse:
      title: HttpGetCardInvoicesResponse
      type: object
      properties:
        invoices:
          type: array
          items:
            $ref: '#/components/schemas/HttpCardInvoice'
    HttpErrorBodyResponse:
      title: HttpErrorBodyResponse
      type: object
      required:
        - code
        - message
      properties:
        code:
          type: string
        message:
          type: string
    HttpCardInvoice:
      title: HttpCardInvoice
      type: object
      required:
        - id
        - invoiceNumber
        - engagementId
        - dueDate
        - billingPeriodStart
        - billingPeriodEnd
        - paymentReference
        - payeeAccountIdentifier
        - totalAmount
        - minimumAmount
        - invoicePdfDocumentId
        - createdDate
      properties:
        id:
          type: string
          format: uuid
        invoiceNumber:
          type: string
        engagementId:
          type: string
          format: uuid
        dueDate:
          type: string
          format: date-time
        billingPeriodStart:
          description: ISO 8601 (YYYY-MM-DD)
          type: string
        billingPeriodEnd:
          description: ISO 8601 (YYYY-MM-DD)
          type: string
        paymentReference:
          type: string
        payeeAccountIdentifier:
          type: string
        payeeBankIdentifier:
          type: string
        totalAmount:
          $ref: '#/components/schemas/MoneyMinor'
        minimumAmount:
          $ref: '#/components/schemas/MoneyMinor'
        invoicePdfDocumentId:
          type: string
          format: uuid
        createdDate:
          type: string
          format: date-time
    MoneyMinor:
      title: MoneyMinor
      description: Money object represented in the smallest currency unit
      type: object
      required:
        - amount
        - currency
        - unit
      properties:
        amount:
          type: integer
          format: int64
        currency:
          description: Currency represented with a ISO 4217 currency code
          examples:
            - EUR
          type: string
        unit:
          examples:
            - MINOR
          type: string
  securitySchemes:
    httpAuth:
      type: http
      scheme: basic

````